#pragma once
#include "segui_base.h"

class GuiModule :
	public SEGUI_base
{
public:
	GuiModule(seGuiCallback seaudioMaster, void *p_resvd1);
	~GuiModule(void);
	void Initialise(bool loaded_from_file);
	virtual void paint(HDC hDC, SEWndInfo *wi);
	virtual void OnLButtonDown( SEWndInfo *wi, UINT nFlags, sepoint point );
	virtual void OnLButtonUp( SEWndInfo *wi, UINT nFlags, sepoint point );
	virtual void OnMouseMove( SEWndInfo *wi, UINT nFlags, sepoint point );
	virtual void OnGuiPinValueChange(SeGuiPin *p_pin);
private:
	static float StringToFloat(const SeSdkString &p_string);
	int svalue, draw_p, which_drag;
	int InvalidateControl(void);
	int* pos_array;
	bool m_inhibit_update;
	SeSdkString DefaultValue();
	SeSdkString GetValueS();
	void OnValueChanged();
	void SetValueS(SeSdkString p_string);
	void parseArrayString( const SeSdkString &p_values );	
};
