#include "guimodule.h"
#include <assert.h>

#define PN_RANDOMISE 0
#define PN_ARRAY 1
#define NUMSLIDERS 16

GuiModule::GuiModule(seGuiCallback seaudioMaster, void *p_resvd1) : SEGUI_base(seaudioMaster, p_resvd1)
{
	srand ( 17 );
}

void GuiModule::OnGuiPinValueChange(SeGuiPin *p_pin)
{
	switch( p_pin->getIndex() )
	{
		case PN_RANDOMISE:
		{
			if (getPin(PN_RANDOMISE)->getValueInt() == 1)
			{
				char v[300] = "";
				for( int i = 0 ; i < NUMSLIDERS; i++ )
				{
					char cell[20] = "";
					float r = (float) rand()/RAND_MAX;
					r = r*10;
					sprintf(cell,"%1.3f,", r);
					strcat(v,cell);
					assert( strlen(v) < 280 );
				}
				
				getPin(PN_ARRAY)->setValueText( v );
			}
		}		
	}
}



